import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'

import Http from './common/http'
import httpConfig from '@/common/http/config'
import utils from './common/utils'
Vue.prototype.$http = Http
Vue.prototype.$baseURL = httpConfig.url
Vue.prototype.$utils = utils

// 引入全局uView
import uView from '@/uni_modules/uview-ui';
Vue.use(uView);

const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif